Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesClickEvents

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DialogBox.CaptionImpl, DoubleBox, FocusPanel, FocusWidget, HTML, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

Deprecated. use `HasClickHandlers` instead

    @Deprecated
    public interface SourcesClickEvents

A widget that implements this interface sources the events defined by the `ClickListener` interface.

Method Summary
`void` | `addClickListener(ClickListener listener)` Deprecated. use `addClickHandler` instead
`void` | `removeClickListener(ClickListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead

Method Detail

### addClickListener

    @Deprecated
    void addClickListener(ClickListener listener)

  Deprecated. use `addClickHandler` instead

  Adds a listener interface to receive click events.

  Parameters:
    `listener` - the listener interface to add

### removeClickListener

    @Deprecated
    void removeClickListener(ClickListener listener)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD